#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x98,0x32,0x73,0x7D,0xE1,0xE6,0x2C,0x33,0xFD,0xA5,0xBE,0x75,
		0xD1,0x95,0xF8,0x14,0x30,0x54,0xBF,0xA3,0xFA,0xFB,0xD7,0xEF,
		0xD2,0x24,0xE7,0xA7,0x42,0xCC,0x7F,0x6C,0xFA,0x4E,0x52,0x7A,
		0xFA,0x57,0xED,0x4B,0x12,0xE1,0xAB,0xC4,0x63,0xF5,0xA6,0x1E,
		0x8A,0x0C,0xE8,0xD1,0x79,0xBC,0x21,0x5D,0xA6,0x18,0xAE,0x56,
		0x12,0xE1,0xC7,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
